using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Waste.Application;

namespace Waste.Web.Entry.Pages.Device
{
    public class DetailModel : BaseModel
    {
        public DeviceDetailS2Dto data = new DeviceDetailS2Dto();
        private readonly IDeviceService _deviceService;
        public DetailModel(IDeviceService deviceService)
        {
            _deviceService = deviceService;
        }
        public async Task OnGetAsync(Guid id)
        {
            data = await _deviceService.DeviceDetailAsync(id);
        }
    }
}
